Package it.ernytech.tdlib

## Class TdApi.OrderInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.OrderInfo

Enclosing class:
  TdApi

    public static class TdApi.OrderInfo
    extends TdApi.Object

Order information.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `emailAddress` Email address of the user.
`java.lang.String` `name` Name of the user.
`java.lang.String` `phoneNumber` Phone number of the user.
`TdApi.ShippingAddress` `shippingAddress` Shipping address for this order; may be null.

### Constructor Summary

Constructors
`OrderInfo()` Default constructor.
`OrderInfo​(java.lang.String name, java.lang.String phoneNumber, java.lang.String emailAddress, TdApi.ShippingAddress shippingAddress)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### name

    public java.lang.String name

Name of the user.

#### phoneNumber

    public java.lang.String phoneNumber

Phone number of the user.

#### emailAddress

    public java.lang.String emailAddress

Email address of the user.

#### shippingAddress

    public TdApi.ShippingAddress shippingAddress

Shipping address for this order; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### OrderInfo

    public OrderInfo()

Default constructor.

#### OrderInfo

    public OrderInfo​(java.lang.String name,
                     java.lang.String phoneNumber,
                     java.lang.String emailAddress,
                     TdApi.ShippingAddress shippingAddress)

Constructor for initialization of all fields.

Parameters:
  `name` - Name of the user.
  `phoneNumber` - Phone number of the user.
  `emailAddress` - Email address of the user.
  `shippingAddress` - Shipping address for this order; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR